Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.config
Class ProxyServiceFactoryBean

    java.lang.Object
      org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder
          org.mule.module.cxf.builder.ProxyServiceMessageProcessorBuilder
              org.mule.module.cxf.config.ProxyServiceFactoryBean

All Implemented Interfaces:
  MuleContextAware, MessageProcessorBuilder, org.springframework.beans.factory.FactoryBean

    public class ProxyServiceFactoryBean

extends ProxyServiceMessageProcessorBuilder
implements org.springframework.beans.factory.FactoryBean

Field Summary

Fields inherited from class org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder
`muleContext`

Constructor Summary
`ProxyServiceFactoryBean()`

Method Summary
`Object` | `getObject()`
`Class<?>` | `getObjectType()`
`boolean` | `isSingleton()`

Methods inherited from class org.mule.module.cxf.builder.ProxyServiceMessageProcessorBuilder
`addProxyInterceptors, configureServer, createServerFactory, getPayload, getServiceClass, isProxy, isProxyEnvelope, setPayload`

Methods inherited from class org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder
`addIgnoredMethods, build, configureMessageProcessor, createInvoker, getAddress, getBindingId, getConfiguration, getFeatures, getInFaultInterceptors, getInInterceptors, getMtomEnabled, getNamespace, getOutFaultInterceptors, getOutInterceptors, getPort, getProperties, getServer, getService, getWsdlLocation, isEnableMuleSoapHeaders, setBindingId, setConfiguration, setEnableMuleSoapHeaders, setFeatures, setInFaultInterceptors, setInInterceptors, setMtomEnabled, setMuleContext, setNamespace, setOutFaultInterceptors, setOutInterceptors, setPort, setProperties, setService, setWsdlLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyServiceFactoryBean

    public ProxyServiceFactoryBean()

Method Detail

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class<?> getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.